Subject: Re: bug#11697: 24.1.50; ERC scroll-to-bottom functionality 'broken' in emacs 24.1.x

From: [email-masked]
Date: Thu, 7 Feb 2013 21:06:09 -0800 (PST)

On Friday, June 15, 2012 2:49:43 AM UTC-4, Antoine Levitt wrote:
> 15/06/12 04:00, Stefan Monnier
> 
> >> to emacs and has nothing to do with ERC in particular. For instance, I
> 
> >> also want my shell buffers not to scroll past the end of
> 
> >> buffers. Actually I think (but am not sure ; it would require testing)
> 
> >> I'd want all buffers to behave that way, and never, ever display
> 
> >> anything past the end of the buffer.
> 
> >
> 
> > How 'bout setting scroll-conservatively to 1000?
> 
> >
> 
> >
> 
> >         Stefan
> 
> 
> 
> Even with scroll-conservatively, there are situations where the
> 
> centering displays stuff after the buffer end, by playing around with
> 
> C-v / M-v. Another way is to find a file, M->, then C-x 2 and C-x
> 
> 1. There's a lot of other ways. This is in contrast with most
> 
> editors/browsers, which don't allow you to scroll past the end of the
> 
> buffer, ever. I'm not 100% sure whether I want that behavior for emacs
> 
> generally. However, I do want it for ERC / shells.

Was this ever resolved? I personally still experience it with a freshly compiled version.

GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10) of 2013-02-07 on linux-e2bl
ERC Version 5.3 (GNU Emacs 24.2.1)